@import "../../custom-variables";

$agcp-default-blue: (
  50: $blue-50,
  100: $blue-100,
  200: $blue-200,
  300: $blue-300,
  400: $blue-400,
  500: $blue-500,
  600: $blue-600,
  700: $blue-700,
  800: $blue-800,
  900: $blue-900,
  contrast: (
    50: $light-primary-text,
    100: $light-primary-text,
    200: $light-primary-text,
    300: $light-primary-text,
    400: $light-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
  ),
);

$agcp-default-grey: (
  50: $grey-0,
  100: $grey-1,
  200: $grey-2,
  300: $grey-3,
  400: $grey-4,
  500: $grey-5,
  600: $grey-6,
  700: $grey-7,
  800: $grey-8,
  900: $grey-9,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $dark-primary-text,
    400: $dark-primary-text,
    500: $dark-primary-text,
    600: $dark-primary-text,
    700: $dark-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
  ),
);

$agcp-default-red: (
  50: $red-50,
  100: $red-100,
  200: $red-200,
  300: $red-300,
  400: $red-400,
  500: $red-500,
  600: $red-600,
  700: $red-700,
  800: $red-800,
  900: $red-900,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $dark-primary-text,
    400: $dark-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
  ),
);

$agcp-default-orange: (
  50: $orange-50,
  100: $orange-100,
  200: $orange-200,
  300: $orange-300,
  400: $orange-400,
  500: $orange-500,
  600: $orange-600,
  700: $orange-700,
  800: $orange-800,
  900: $orange-900,
  contrast: (
    50: $light-primary-text,
    100: $light-primary-text,
    200: $light-primary-text,
    300: $light-primary-text,
    400: $light-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
  ),
);

$agcp-default-green: (
  50: $green-50,
  100: $green-100,
  200: $green-200,
  300: $green-300,
  400: $green-400,
  500: $green-500,
  600: $green-600,
  700: $green-700,
  800: $green-800,
  900: $green-900,
  contrast: (
    50: $light-primary-text,
    100: $light-primary-text,
    200: $light-primary-text,
    300: $light-primary-text,
    400: $light-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
  ),
);

$agcp-default-purple: (
  50: $purple-50,
  100: $purple-100,
  200: $purple-200,
  300: $purple-300,
  400: $purple-400,
  500: $purple-500,
  600: $purple-600,
  700: $purple-700,
  800: $purple-800,
  900: $purple-900,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $dark-primary-text,
    400: $dark-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
  ),
);
